/*
  Part of the Processing Fullscreen API

  Copyright (c) 2006-08 Hansi Raber

  This library is free software; you can redistribute it and/or
  modify it under the terms of the GNU General Public
  License as published by the Free Software Foundation; either
  version 3 of the License, or (at your option) any later version.

  This library is distributed in the hope that it will be useful,
  but WITHOUT ANY WARRANTY; without even the implied warranty of
  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
  Lesser General Public License for more details.

  You should have received a copy of the GNU General
  Public License along with this library; if not, write to the
  Free Software Foundation, Inc., 59 Temple Place, Suite 330,
  Boston, MA  02111-1307  USA
*/
package metasurface;

import java.awt.Color;

import processing.core.PApplet;

public class Demo extends PApplet{
	private static final long serialVersionUID = 1L;

	MetaSurface metaSurface;
	
	float myW, myH; 

	public void setup(){
		size( 300, 300 ); 

		metaSurface = new MetaSurface(
				this, 
				new String[]{ "Width", "Height" }, 
				new float[]{ 1, 1 }, 
				new float[]{ 200, 200 }, 
				new float[]{ 30, 10 }
		);
		
		frameRate( 25 ); 
		loadPixels(); 
	}

	public void draw(){
		background( 0 ); 

		float w = metaSurface.values[0]; 
		float h = metaSurface.values[1];

		myW += ( w - myW ) / 5; 
		myH += ( h - myH ) / 5; 

		fill( 255, 0, 0 ); 
		rect( width/2 - myW/2, height/2 - myH/2, myW, myH ); 
		
		loadPixels(); 
	}
	

	public static void main( String args[] ){
		PApplet.main( new String[]{"metasurface.Demo"} ); 
	}
	
}
