/*
  Part of the Processing Fullscreen API

  Copyright (c) 2006-08 Hansi Raber

  This library is free software; you can redistribute it and/or
  modify it under the terms of the GNU General Public
  License as published by the Free Software Foundation; either
  version 3 of the License, or (at your option) any later version.

  This library is distributed in the hope that it will be useful,
  but WITHOUT ANY WARRANTY; without even the implied warranty of
  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
  Lesser General Public License for more details.

  You should have received a copy of the GNU General
  Public License along with this library; if not, write to the
  Free Software Foundation, Inc., 59 Temple Place, Suite 330,
  Boston, MA  02111-1307  USA
*/
package metasurface;

import javax.swing.AbstractButton;

public class MetaSurfaceEvent{

	public final Object source;
	public final String command;

	public MetaSurfaceEvent( Object source, String command ){
		this.source = source;
		this.command = command;
	}
	
	public Object getSource(){
		return source; 
	}
	
	public String getCommand(){
		return command; 
	}
	
	/**
	 * Tries to get a boolean value
	 */
	public boolean booleanValue(){
		if( source instanceof AbstractButton ){
			return ( (AbstractButton) source ).isSelected(); 
		}
		
		return false; 
	}
}